petsc-3.13.6 2020-09-29
Report Typos and Errors

# TaoADMMSetMisfitObjectiveAndGradientRoutine

Sets the user-defined misfit call-back function

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetMisfitObjectiveAndGradientRoutine(Tao tao, PetscErrorCode (*func)(Tao, Vec, PetscReal*, Vec, void*), void *ctx)

Collective on tao

### Input Parameters

| tao | - the Tao context
| func | - function pointer for the misfit value and gradient evaluation
| ctx | - user context for the misfit

### See Also

TAOADMM

### Level

advanced

### Location

src/tao/constrained/impls/admm/admm.c

### Examples

src/tao/constrained/tutorials/tomographyADMM.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages